=== modified file '__init__.py'
--- __init__.py	2008-08-04 18:45:47 +0000
+++ __init__.py	2008-08-04 20:03:36 +0000
@@ -22,6 +22,7 @@
 gconflicts        GTK+ conflicts. 
 gdiff             Show differences in working tree in a GTK+ Window. 
 ginit             Initialise a new branch.
+ginfo             GTK+ branch info dialog
 gloom             GTK+ loom browse dialog
 gmerge            GTK+ merge dialog
 gmissing          GTK+ missing revisions dialog. 
@@ -471,6 +472,19 @@
         dialog.run()
 
 
+class cmd_ginfo(Command):
+    """ GTK+ info dialog
+    
+    """
+    def run(self):
+        from bzrlib import workingtree
+        from bzrlib.plugins.gtk.olive.info import InfoDialog
+        wt = workingtree.WorkingTree.open_containing('.')[0]
+        info = InfoDialog(wt.branch)
+        info.display()
+        info.window.run()
+
+
 class cmd_gmerge(Command):
     """ GTK+ merge dialog
     
@@ -557,6 +571,7 @@
     cmd_gconflicts, 
     cmd_gdiff,
     cmd_ginit,
+    cmd_ginfo,
     cmd_gmerge,
     cmd_gmissing, 
     cmd_gpreferences, 

=== modified file 'olive/info.py'
--- olive/info.py	2008-07-20 16:23:24 +0000
+++ olive/info.py	2008-08-04 20:03:36 +0000
@@ -156,7 +156,7 @@
             return
         
         # Create the window
-        self.window = gtk.Dialog(title="Olive - Information",
+        self.window = gtk.Dialog(title="Branch Information",
                                   parent = None,
                                   flags=0,
                                   buttons=None)

